### Signal

# Gtk.Notebook::switch-page

#### Declaration

    void
    switch_page (
      GtkNotebook self,
      GtkWidget* page,
      guint page_num,
      gpointer user_data
    )

#### Description [src]

Emitted when the user or a function changes the current page.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`page` | `GtkWidget`
| the new current page
| Ownership is not transferred to the callee
`page_num` | `guint`
| the index of the page